[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TInvokeableVariantType.DoProcedure

Empty stub for IVarInvokeable.DoProcedure, to be implemented in descendents

## Declaration

Source position: variants.pp line 234

`public function TInvokeableVariantType.DoProcedure(`
`const V: tvardata;`
`const Name: string;`
`const Arguments: TVarDataArray`
`):Boolean; virtual;`

## Arguments

`V` |  | Variant on which to operate
`Name` |  | Name of procedure to call
`Arguments` |  | Arguments passed to procedure

## Function result

Always false

## Description

DoProcedure is the default implementation of IVarInvokeable.DoProcedure, which always returns False. It must be overridden in descendent classes to implement actual calling of a procedure.

## See also

IVarInvokeable.DoProcedure |  | Called for methods that do not return a result (procedures)